Mark EcoMailbox row read
curl --request PATCH \
--url https://api.consumer.younegotiate.com/e-letters/{consumerELetter}/read \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/e-letters/{consumerELetter}/read"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/e-letters/{consumerELetter}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Eco mail marked as read.",
"data": {
"id": 123,
"sender_label": "Demand Notice",
"read_by_consumer": true,
"unread": true,
"enabled": true,
"actions": {
"can_open": true,
"can_download": true,
"can_delete": true,
"can_view_offer": true
},
"e_letter": {
"id": 123,
"type": {
"label": "Normal"
}
},
"sender": {
"company_id": 123,
"company_name": "<string>",
"subclient_id": 123
},
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"account": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"member_account_number": "<string>",
"status": {
"value": "payment_accepted",
"label": "Payment Plan"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"state": {
"eco_mailbox": {
"unread_count": 12,
"display_count": "12",
"has_unread": true
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Mark EcoMailbox row read
Mark an owned EcoMailbox row as read. This endpoint is idempotent and returns updated sidebar unread-count state for the frontend badge.
PATCH
/
e-letters
/
{consumerELetter}
/
read
Mark EcoMailbox row read
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
EcoMailbox pivot row ID returned by GET /e-letters.
Last modified on July 19, 2026
Was this page helpful?
⌘I

